htparser Struct Reference

## Data Fields

htpparse_error | error
parser_state | state
parser_flags | flags
eval_hdr_val | heval
htp_type | type
htp_scheme | scheme
htp_method | method
unsigned char | multipart
unsigned char | major
unsigned char | minor
uint64_t | content_len
uint64_t | orig_content_len
uint64_t | bytes_read
uint64_t | total_bytes_read
unsigned int | status
unsigned int | status_count
char * | scheme_offset
char * | host_offset
char * | port_offset
char * | path_offset
char * | args_offset
void * | userdata
size_t | buf_idx
char | buf [PARSER_STACK_MAX]

## Detailed Description

Definition at line 91 of file parser.c.

## Field Documentation

## args_offset

char* htparser::args_offset

Definition at line 115 of file parser.c.

## buf

char htparser::buf[PARSER_STACK_MAX]

Definition at line 121 of file parser.c.

## buf_idx

size_t htparser::buf_idx

Definition at line 119 of file parser.c.

## bytes_read

uint64_t htparser::bytes_read

Definition at line 106 of file parser.c.

## content_len

uint64_t htparser::content_len

Definition at line 104 of file parser.c.

## error

htpparse_error htparser::error

Definition at line 92 of file parser.c.

## flags

parser_flags htparser::flags

Definition at line 94 of file parser.c.

## heval

eval_hdr_val htparser::heval

Definition at line 95 of file parser.c.

## host_offset

char* htparser::host_offset

Definition at line 112 of file parser.c.

## major

unsigned char htparser::major

Definition at line 102 of file parser.c.

## method

htp_method htparser::method

Definition at line 99 of file parser.c.

## minor

unsigned char htparser::minor

Definition at line 103 of file parser.c.

## multipart

unsigned char htparser::multipart

Definition at line 101 of file parser.c.

## orig_content_len

uint64_t htparser::orig_content_len

Definition at line 105 of file parser.c.

## path_offset

char* htparser::path_offset

Definition at line 114 of file parser.c.

## port_offset

char* htparser::port_offset

Definition at line 113 of file parser.c.

## scheme

htp_scheme htparser::scheme

Definition at line 98 of file parser.c.

## scheme_offset

char* htparser::scheme_offset

Definition at line 111 of file parser.c.

## state

parser_state htparser::state

Definition at line 93 of file parser.c.

## status

unsigned int htparser::status

Definition at line 108 of file parser.c.

## status_count

unsigned int htparser::status_count

Definition at line 109 of file parser.c.

## total_bytes_read

uint64_t htparser::total_bytes_read

Definition at line 107 of file parser.c.

## type

htp_type htparser::type

Definition at line 97 of file parser.c.

## userdata

void* htparser::userdata

Definition at line 117 of file parser.c.

The documentation for this struct was generated from the following file:

- parser.c